%define major     0
%define libname   %mklibname g2c %{major}
%define develname %mklibname g2c -d

%bcond_with docs

Name:           g2clib
Version:        1.6.4
Release:        %mkrel 4
Summary:        GRIB2 encoder/decoder and search/indexing routines in C
Group:          Sciences/Mathematics
License:        Public Domain
URL:            https://github.com/NOAA-EMC/NCEPLIBS-g2c
Source0:        https://github.com/NOAA-EMC/NCEPLIBS-g2c/archive/v%{version}/NCEPLIBS-g2c-%{version}.tar.gz
Patch1:         g2clib-shared-lib.patch
# jasper3 now hides internal encoder / decoder. Use wrapper entry point
# c.f. https://github.com/jasper-software/jasper/commit/5fe57ac5829ec31396e7eaab59a688da014660af
Patch2:         g2clib-1.6.4-jasper3-use-wrapper-entry-point.patch
BuildRequires:  cmake
%if %{with docs}
BuildRequires:  doxygen
%endif
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(jasper)
BuildRequires:  pkgconfig(libopenjp2)

%description
This library contains "C" decoder/encoder routines for GRIB edition 2.

%package -n     %libname
Summary:        Shared libraries for %{name}
Group:          System/Libraries

%description -n %libname
This library contains "C" decoder/encoder routines for GRIB edition 2.

%package -n     %develname
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %libname = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       g2c-devel = %{version}-%{release}

%description -n %develname
This library contains "C" decoder/encoder routines for GRIB edition 2.

This package contains libraries and header files for developing
applications that use %{name}.

%prep
%autosetup -n NCEPLIBS-g2c-%{version} -p1

%if %{with docs}
perl -pi -e 's/sp_user_guide/user_guide/g' $(find . -name "Doxyfile*")
doxygen -u $(find . -name "Doxyfile*")
%endif

%build
%cmake \
  -DUSE_OpenJPEG:BOOL=ON \
  -DENABLE_DOCS:BOOL=%{?with_docs:ON}%{!?with_docs:OFF}
%cmake_build

%install
%cmake_install

%files -n %libname
%license LICENSE*
%{_libdir}/libg2c.so.%{major}
%{_libdir}/libg2c.so.%{version}

%files -n %develname
%doc README*
%if %{with docs}
%doc %{_vpath_builddir}/docs/html/
%endif
%{_libdir}/libg2c.so
%{_includedir}/grib2.h
%{_libdir}/cmake/g2c/


%changelog
* Sat Jun 24 2023 wally <wally> 1.6.4-4.mga9
+ Revision: 1962981
- skip docs build as they're not installed to anywhere

* Sat Jun 24 2023 daviddavid <daviddavid> 1.6.4-3.mga9
+ Revision: 1962971
- fix build with doxygen 1.9.7 using 'doxygen -u' command

* Tue Nov 22 2022 daviddavid <daviddavid> 1.6.4-2.mga9
+ Revision: 1910235
- jasper3: use wrapper entry point for jpeg2000 decoder
- rebuild for new jasper 3.0.6

* Wed Aug 10 2022 wally <wally> 1.6.4-1.mga9
+ Revision: 1876738
- new version 1.6.4
- build as a shared lib

* Fri Mar 25 2022 umeabot <umeabot> 1.6.0-4.mga9
+ Revision: 1826236
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.6.0-3.mga8
+ Revision: 1512372
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.6.0-2.mga7
+ Revision: 1297813
- Mageia 7 Mass Rebuild
+ josh <josh>
- Delete old tarball

* Mon Nov 20 2017 josh <josh> 1.6.0-1.mga7
+ Revision: 1177942
- Add new source tarball
- Create package for MGA7; update to version 1.6.0

* Fri Mar 03 2017 daviddavid <daviddavid> 1.4.0-8.mga6
+ Revision: 1088613
- sync more package with fedora's one:
  * Add patch to fix build with jasper 2
  * Add support for MIPS
  * Add patch from degrib that appears to fix some projection issues

* Thu Feb 11 2016 umeabot <umeabot> 1.4.0-7.mga6
+ Revision: 953970
- Mageia 6 Mass Rebuild

* Wed Sep 09 2015 neoclust <neoclust> 1.4.0-6.mga6
+ Revision: 875176
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-5.mga5
+ Revision: 742231
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.0-4.mga5
+ Revision: 679394
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.4.0-3.mga4
+ Revision: 536919
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 joequant <joequant> 1.4.0-2.mga4
+ Revision: 485827
- add provides tag

* Wed Sep 25 2013 joequant <joequant> 1.4.0-1.mga4
+ Revision: 485782
- imported package g2clib

